package com.management.platform.controller;


import com.management.platform.service.UserService;
import com.management.platform.util.HttpRespMsg;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author 吴涛涛
 * @since 2019-12-31
 */
@RestController
@RequestMapping("/user")
public class UserController {
    @Autowired
    private UserService userService;

    /**
     * 管理员登录网页端
     *
     * @param username  用户名
     * @param password  密码
     * @return
     */
    @RequestMapping("/login")
    public HttpRespMsg login(@RequestParam String username, @RequestParam String password){
        return userService.login(username, password);
    }
}

