package com.management.platform.util;


import com.baidu.aip.util.Base64Util;

import java.net.URLEncoder;

public class CheckPicUtil {

    /**
    * 重要提示代码中所需工具类
    * 下载
    */
    public static String general(String path,String token) {
        // 请求url
        String url = "https://aip.baidubce.com/rest/2.0/ocr/v1/general";
        try {
            // 本地文件路径
            String filePath = path;
            byte[] imgData = FileUtil.readFileByBytes(filePath);
            String imgStr = Base64Util.encode(imgData);
            String imgParam = URLEncoder.encode(imgStr, "UTF-8");

            String param = "image=" + imgParam;

            // 注意这里仅为了简化编码每一次请求都去获取access_token，线上环境access_token有过期时间， 客户端可自行缓存，过期后重新获取。
            String accessToken = token;

            String result = HttpUtil.post(url, accessToken, param);
            System.out.println(result);
            return result;
        } catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }

    public static void main(String[] args) {
        CheckPicUtil.general("D:\\1.png",(String)AuthService.getAuth().get("access_token"));
    }
}